//Name 	 Months_elapsed_since_submit
//Description 	Calculates the number of months between the task submit date and the current date. It can be used to find tasks submitted this month, last month, etc.
//Type 	Task / Custom Field Value - Integer

import java.util.Date;
Calendar ca = Calendar.getInstance();
ca.setTime(new Date(task.getSubmitdate().getTime().getTime()));
int submitMonth = ca.get(Calendar.MONTH);
int submitYear = ca.get(Calendar.YEAR);
ca.setTime(new Date());
int currentMonth = ca.get(Calendar.MONTH);
int currentYear = ca.get(Calendar.YEAR);
return (currentYear - submitYear)*12 + currentMonth - submitMonth;