//Name   prevent_message_type_depending_on_category
//Description   Message cannot be created if Task Category is "Customer report"
//Type   Trigger / Add Message / BEFORE Trigger

if (message.getTask().getCategory().getName().equals("Customer report")){
  throw new UserMessageException("This message type cannot be used with a 'Customer report'.");
}

return message;
