//Name   set_unique_name_of_new_task
//Description   Sets the name of the task to "[Submitter]'s task" and ensures that no other task of that name already exists at the same level.
//Type  Trigger / Create Task / BEFORE Trigger

if (task.getSubmitter()!= null){
  ArrayList lista = new ArrayList();
  lista = task.getChildren();
  ArrayList logins = new ArrayList();
  for (Iterator it = lista.iterator(); it.hasNext();){
  	if(it.next().getName().equals(task.getSubmitter().getLogin() + "'s task"))
      {
      throw new UserMessageException("You already have a personal task.");
      }
    }
	task.setName(task.getSubmitter().getLogin() + "'s task");
}

return task;