//Name 	 list_task_members
//Description 	Displays a list of users who have access to the current task except for those who are belong to company "Dummy Co."
//Type 	Task / Custom Field Value

Object list = AdapterManager.getInstance().getSecuredAclAdapterManager().getUserList(sc, task.getId());
ArrayList logins = new ArrayList();

for (Iterator it = list.iterator(); it.hasNext();){

  SecuredUserBean currentUser = new SecuredUserBean(it.next().getId(), sc);

  if ((currentUser.getCompany()!=null) && (!currentUser.getCompany().equals("Dummy Co."))){
    logins.add(currentUser.getLogin());
  }
}

Collections.sort(logins);
userList = "";
for(int userListIndex = 0;userListIndex <=logins.size() - 1; userListIndex ++) {
  userList += logins.get(userListIndex);
  if(userListIndex <=logins.size() - 2) {
    userList += "; ";
  }
}

return userList;
