//Name 	 Populate_similar_tasks_field
//Description 	Fills in the task type UDF [See Also] with a list of tasks similar to the one being created
//Type 	Trigger / Create Task / AFTER Trigger

HashMap set = AdapterManager.getInstance().getSecuredTaskAdapterManager()
   .findSimilar(task.getSecure(),task.getId());
String similar="";
if (set!=null && !set.isEmpty()) {
   for (Iterator i = set.keySet().iterator(); i.hasNext();) {
      SecuredTaskBean s = (SecuredTaskBean) i.next();
      Float ratio = (Float) set.get(s);
      if (ratio.floatValue()>0.75f) {
         similar+="#"+s.getNumber()+"; " ;
      }
   }
}

if (similar.length()>0) {
   similar=similar.substring(0,similar.length()-2);
   AdapterManager.getInstance().getSecuredUDFAdapterManager().setTaskUDFValueSimple(
      task.getSecure(), task.getId(), "See Also", similar);
}
return task;